Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.invocation.response
Class UpdateNavigationalStateResponse

    java.lang.Object
      org.jboss.portal.portlet.invocation.response.PortletInvocationResponse
          org.jboss.portal.portlet.invocation.response.UpdateNavigationalStateResponse

    public class UpdateNavigationalStateResponse

extends PortletInvocationResponse

Update the navigational state.

Version:
  $Revision: 5477 $
Author:
  Julien Viet

Nested Class Summary
`static class` | `UpdateNavigationalStateResponse.Event` An event produced by a state response.

Field Summary
`protected java.util.Map<java.lang.String,java.lang.String[]>` | `publicNavigationalStateUpdates` The update to the public parameters.

Constructor Summary
`UpdateNavigationalStateResponse()`

Method Summary
`java.util.Map<java.lang.String,java.lang.Object>` | `getAttributes()`
`java.util.List<UpdateNavigationalStateResponse.Event>` | `getEvents()`
`org.jboss.portal.Mode` | `getMode()`
`StateString` | `getNavigationalState()`
`ResponseProperties` | `getProperties()`
`java.util.Map<java.lang.String,java.lang.String[]>` | `getPublicNavigationalStateUpdates()`
`org.jboss.portal.WindowState` | `getWindowState()`
`void` | `queueEvent(UpdateNavigationalStateResponse.Event event)`
`void` | `setAttributes(java.util.Map<java.lang.String,java.lang.Object> attributes)`
`void` | `setMode(org.jboss.portal.Mode mode)`
`void` | `setNavigationalState(StateString state)`
`void` | `setProperties(ResponseProperties properties)`
`void` | `setPublicNavigationalStateUpdates(java.util.Map<java.lang.String,java.lang.String[]> publicNavigationalStateUpdates)`
`void` | `setWindowState(org.jboss.portal.WindowState windowState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### publicNavigationalStateUpdates

    protected java.util.Map<java.lang.String,java.lang.String[]> publicNavigationalStateUpdates

  The update to the public parameters. Each entry having a zero length value must be interpeted as a public parameter removal otherwise it must be interpreted as a public parameter values update.

Constructor Detail

### UpdateNavigationalStateResponse

    public UpdateNavigationalStateResponse()

Method Detail

### getProperties

    public ResponseProperties getProperties()

### setProperties

    public void setProperties(ResponseProperties properties)

### getAttributes

    public java.util.Map<java.lang.String,java.lang.Object> getAttributes()

### setAttributes

    public void setAttributes(java.util.Map<java.lang.String,java.lang.Object> attributes)

### getMode

    public org.jboss.portal.Mode getMode()

### setMode

    public void setMode(org.jboss.portal.Mode mode)

### getWindowState

    public org.jboss.portal.WindowState getWindowState()

### setWindowState

    public void setWindowState(org.jboss.portal.WindowState windowState)

### getNavigationalState

    public StateString getNavigationalState()

### setNavigationalState

    public void setNavigationalState(StateString state)

### getPublicNavigationalStateUpdates

    public java.util.Map<java.lang.String,java.lang.String[]> getPublicNavigationalStateUpdates()

### setPublicNavigationalStateUpdates

    public void setPublicNavigationalStateUpdates(java.util.Map<java.lang.String,java.lang.String[]> publicNavigationalStateUpdates)

### queueEvent

    public void queueEvent(UpdateNavigationalStateResponse.Event event)

### getEvents

    public java.util.List<UpdateNavigationalStateResponse.Event> getEvents()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.